PROMETHEUS-MYSQLROUTER-EXPORTER(1)

NAME
prometheus-mysqlrouter-exporter - manual page for prometheus-mysqlrouter-exporter 6.0.1

DESCRIPTION

  Usage:

    prometheus-mysqlrouter-exporter [OPTIONS]

  Application Options:

--url=
    MySQL Router Rest API URL [$MYSQLROUTER_EXPO-

    RTER_URL]

--user=
    Username for REST API [$MYSQLROUTER_EXPO-

    RTER_USER]

--pass=
    Password for REST API [$MYSQLROUTER_EXPO-

    RTER_PASS]

-p, --listen-port=
    Listen port (default: 9152)

--service-name=
    Service name for MySQL Router [$MYSQLROUTER_EXPO-

    RTER_SERVICE_NAME]

--tls-ca-cert-path=
    TLS CA cacert path [$MYSQLROUTER_TLS_-

    CACERT_PATH]

--tls-cert-path=
    TLS cert path [$MYSQLROUTER_TLS_-

    CERT_PATH]

--tls-key-path=
    TLS key path [$MYSQLROUTER_TLS_-

    KEY_PATH]

-k, --skip-tls-verify
    Skip TLS Verification

--collect-interval=
    Collect interval time in sec. (default: 2)

--collect.metadata.status
    Collect metrics from metadata status. CPU usage will increase.

--collect.route.connections.byte_from_server
    Collect metrics from route connections. CPU usage will increase.

--collect.route.connections.byte_to_server
    Collect metrics from route connections. CPU usage will increase.

--collect.route.connections.time_started
    Collect metrics from route connections. CPU usage will increase.

--collect.route.connections.time_connected_to_server
    Collect metrics from route connections. CPU usage will increase.

--collect.route.connections.time_last_sent_to_server
    Collect metrics from route connections. CPU usage will increase.

--collect.route.connections.time_received_from_server
    Collect metrics from route connections. CPU usage will increase.

-v, --version
    Show version

  Help Options:

-h, --help
    Show this help message

SEE ALSO
The full documentation for prometheus-mysqlrouter-exporter is maintained as a Texinfo manual. If the info and prometheus-mysqlrouter-exporter programs are properly installed at your site, the command

    info prometheus-mysqlrouter-exporter

should give you access to the complete manual.